Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLSessionBindingEvent

    java.lang.Object
      java.util.EventObject
          javax.net.ssl.SSLSessionBindingEvent

All Implemented Interfaces:
  Serializable

    public class SSLSessionBindingEvent

extends EventObject

This event is propagated to a SSLSessionBindingListener. When a listener object is bound or unbound to an SSLSession by `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, objects which implement the SSLSessionBindingListener will be receive an event of this type. The event's `name` field is the key in which the listener is being bound or unbound.

Since:
  1.4
See Also:
  `SSLSession`, `SSLSessionBindingListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SSLSessionBindingEvent(SSLSession session, String name)` Constructs a new SSLSessionBindingEvent.

Method Summary
`String` | `getName()` Returns the name to which the object is being bound, or the name from which the object is being unbound.
`SSLSession` | `getSession()` Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLSessionBindingEvent

    public SSLSessionBindingEvent(SSLSession session,
                                  String name)

  Constructs a new SSLSessionBindingEvent.

  Parameters:
    `session` - the SSLSession acting as the source of the event
    `name` - the name to which the object is being bound or unbound

Method Detail

### getName

    public String getName()

  Returns the name to which the object is being bound, or the name from which the object is being unbound.

  Returns:
    the name to which the object is being bound or unbound

### getSession

    public SSLSession getSession()

  Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

  Returns:
    the `SSLSession`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.